<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Kriteria extends Model
{
    protected $fillable = [
        'nama',
        'jenis',
        'bobot',
    ];

    public function kurikulum()
    {
        return $this->belongsTo(Kurikulum::class, 'kurikulum_id');
    }
    public function subkriterias()
    {
        return $this->hasMany(Subkriteria::class);
    }

    public function detailsaw()
    {
    return $this->hasMany(DetailSaw::class);
    }
}
